#include <stdio.h>
#include <memory.h>
#define MAXN 100

int ocenki[1000],simples[MAXN];
int N,P,br;

void solve(int fuck)
{
	int u,F,k,i=0,kur=N/2;
	for(u=0;u<1000;u++)
		if(ocenki[u] >= kur)
		{
			F=1;
			for(k=u+1;k<1000;k++)
				if(ocenki[k] > 0)
					F=0;
			if(F != 0)
			{
				simples[br] = fuck+1;
				br++;
			}
		}
}

int main()
{
	int i,j,b;
	int zad_matrix[MAXN][MAXN];
	scanf("%d %d\n",&N,&P);
	for(i=0;i<P;i++)
	{		
		for(b = 0; b<1000; b++)
			ocenki[b] = 0;
		for(j=0;j<N;j++)
		{
			scanf("%d",&zad_matrix[i][j]);
			ocenki[zad_matrix[i][j]] += 1;
		}
		solve(i);
	}

	for(i=0;i<br;i++)
		printf("%d ",simples[i]);
	return 0;
}